summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Marchetta <me@andrewmarchetta.com>2019-01-03 21:26:11 -0500
committerAndrew Marchetta <me@andrewmarchetta.com>2019-01-03 21:26:11 -0500
commite6ebb0b5a822d878a5379852ea5911702dcdc85c (patch)
treed2899aec8cf781c64b2516175a2bb0aa581bd58b
parent1150b23607bd9c6703f5afa7c9f555996ce9ee66 (diff)
Bugfix to return error codes for bad conditionsHEADmaster
-rwxr-xr-xopen_sesame.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/open_sesame.sh b/open_sesame.sh
index 5506a5a..631c87d 100755
--- a/open_sesame.sh
+++ b/open_sesame.sh
@@ -110,9 +110,9 @@ raid_trymount() {
}
# Main routine.
-verify_rootuser || exit
-locate_cryptsetup || exit
-set_config || exit
+verify_rootuser || exit 1
+locate_cryptsetup || exit 1
+set_config || exit 1
declare ret=0
if raid_tryopenall; then